# Stock Location Webhook

Stock location create and update webhooks have the same defined payload.

Depending on the event type, **stock\_location.created** or **stock\_location.updated** is selected.

#### Example of “stock location created” event data entry​ <a href="#example-of-stock-location-created-event-data-entry" id="example-of-stock-location-created-event-data-entry"></a>

```
{
  "event": {
    "type": "stock_location.created",
    "uuid": "a904f04c-698f-41b5-a7db-a05d7fd3c0b0"
  },
  "payload": {
    "id": 1,
    "stock_location_type": "store",
    "address": {
      "id": 1,
      "city": {
        "pk": 1,
        "name": "İstanbul",
        "country": 1,
        "is_active": true,
        "longitude": "25.44207170",
        "latitude": "37.60002800"
      },
      "country": {
        "pk": 1,
        "name": "Türkiye",
        "code": "VNy",
        "is_active": true,
        "longitude": "36.17554900",
        "latitude": "36.98741440"
      },
      "township": {
        "pk": 1,
        "name": "Beyoğlu",
        "city": 1,
        "is_active": true,
        "longitude": "33.53785160",
        "latitude": "39.16546840"
      },
      "district": {
        "pk": 1,
        "name": "District 1",
        "city": 1,
        "township": 1,
        "is_active": true,
        "longitude": "26.61700730",
        "latitude": "35.36769610"
      },
      "mapping": null,
      "title": "Title_YLtJBZfGrv",
      "is_active": true,
      "line": "Line lorem ipsum dolor sit amet.",
      "postcode": "336553",
      "notes": "Note lorem ipsum dolor sit amet.",
      "longitude": "29.47683110",
      "latitude": "41.69932560"
    },
    "engine": null,
    "created_date": "2020-12-28T07:14:20.828965Z",
    "modified_date": "2020-12-28T07:14:20.828991Z",
    "name": "Test Store StockLocation 1",
    "is_fulfillment_center": false,
    "is_pickup_location": true,
    "is_delivery_location": true,
    "is_return_available": false,
    "is_fast_delivery_available": false,
    "is_active": true,
    "priority": 1,
    "conf": {},
    "daytime_phone": "05000000000",
    "evening_phone": "05000000000",
    "fax_number": "00004909739",
    "email": "injHHW@oms.com",
    "target_packing_interval": "5 00:00:00",
    "target_transfer_interval": "3 00:00:00",
    "erp_code": "erp code 1",
    "use_as_shipper_location": false
  }
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akinon.com/technical-guides/oms/webhooks/webhook-examples/stock-location-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
